


/** 
*
* @file
* @brief  defintion of the MEMS chips' regsiter
* @author longf@dspchina.com
*
*/



#ifndef __I2C_ADDR_H__
#define __I2C_ADDR_H__


/*
L3GD20
MEMS motion sensor:
three-axis digital output gyroscope
*/

										    //Name            Type    Register address     Default  
										    //                        Hex  Binary                                                                                    
#define Addr_Gyroscope_WHO_AM_I       0X0F  //WHO_AM_I		   r	  0F   000 1111	  11010100      
#define Addr_Gyroscope_CTRL_REG1      0X20  //CTRL_REG1		   rw	  20   010 0000	  00000111 
#define Addr_Gyroscope_CTRL_REG2      0X21  //CTRL_REG2		   rw     21   010 0001	  00000000 
#define Addr_Gyroscope_CTRL_REG3      0X22  //CTRL_REG3		   rw     22   010 0010	  00000000 
#define Addr_Gyroscope_CTRL_REG4      0X23  //CTRL_REG4		   rw     23   010 0011	  00000000 
#define Addr_Gyroscope_CTRL_REG5      0X24  //CTRL_REG5		   rw     24   010 0100	  00000000 
#define Addr_Gyroscope_CTRL_REFERENCE 0X25  //REFERENCE		   rw     25   010 0101	  00000000 
#define Addr_Gyroscope_OUT_TEMP		  0X26  //OUT_TEMP		   r      26   010 0110	  output        
#define Addr_Gyroscope_STATUS_REG	  0X27  //STATUS_REG	   r      27   010 0111	  output        
#define Addr_Gyroscope_OUT_X_L		  0X28  //OUT_X_L		   r      28   010 1000	  output        
#define Addr_Gyroscope_OUT_X_H		  0X29  //OUT_X_H		   r      29   010 1001	  output        
#define Addr_Gyroscope_OUT_Y_L		  0X2A  //OUT_Y_L		   r      2A   010 1010	  output        
#define Addr_Gyroscope_OUT_Y_H		  0X2B  //OUT_Y_H		   r      2B   010 1011	  output        
#define Addr_Gyroscope_OUT_Z_L		  0X2C  //OUT_Z_L		   r      2C   010 1100	  output        
#define Addr_Gyroscope_OUT_Z_H		  0X2D  //OUT_Z_H		   r      2D   010 1101	  output        
#define Addr_Gyroscope_FIFO_CTRL_REG  0X2E  //FIFO_CTRL_REG	   rw     2E   010 1110	  00000000      
#define Addr_Gyroscope_FIFO_SRC_REG	  0X2F  //FIFO_SRC_REG	   r      2F   010 1111	  output        
#define Addr_Gyroscope_INT1_CFG		  0X30  //INT1_CFG		   rw     30   011 0000	  00000000      
#define Addr_Gyroscope_INT1_SRC		  0X31  //INT1_SRC		   r      31   011 0001	  output        
#define Addr_Gyroscope_INT1_TSH_XH	  0X32  //INT1_TSH_XH	   rw     32   011 0010	  00000000      
#define Addr_Gyroscope_INT1_TSH_XL	  0X33  //INT1_TSH_XL	   rw     33   011 0011	  00000000      
#define Addr_Gyroscope_INT1_TSH_YH    0X34  //INT1_TSH_YH	   rw     34   011 0100	  00000000      
#define Addr_Gyroscope_INT1_TSH_YL    0X35  //INT1_TSH_YL	   rw     35   011 0101	  00000000      
#define Addr_Gyroscope_INT1_TSH_ZH    0X36  //INT1_TSH_ZH	   rw     36   011 0110	  00000000      
#define Addr_Gyroscope_INT1_TSH_ZL    0X37  //INT1_TSH_ZL	   rw     37   011 0111	  00000000      
#define Addr_Gyroscope_INT1_DURATION  0X38  //INT1_DURATION	   rw     38   011 1000	  00000000      



/*
 LIS3DH
 MEMS digital output motion sensor
 ultra low-power high performance 3-axes nano accelerometer
*/

										    //Name     	    Type  Register address  Default     Comment
										    //                     Hex Binary    
#define Addr_Acceler_STATUS_REG_AUX  0X07   //STATUS_REG_AUX  r    07  000 0111   
#define Addr_Acceler_OUT_ADC1_L 	 0X08   //OUT_ADC1_L 	  r    08  000 1000    output
#define Addr_Acceler_OUT_ADC1_H 	 0X09   //OUT_ADC1_H 	  r    09  000 1001    output
#define Addr_Acceler_OUT_ADC2_L 	 0X0A   //OUT_ADC2_L 	  r    0A  000 1010    output
#define Addr_Acceler_OUT_ADC2_H 	 0X0B   //OUT_ADC2_H 	  r    0B  000 1011    output
#define Addr_Acceler_OUT_ADC3_L 	 0X0C   //OUT_ADC3_L 	  r    0C  000 1100    output
#define Addr_Acceler_OUT_ADC3_H 	 0X0D   //OUT_ADC3_H 	  r    0D  000 1101    output
#define Addr_Acceler_INT_COUNTER_REG 0X0E   //INT_COUNTER_REG r    0E  000 1110   
#define Addr_Acceler_WHO_AM_I 		 0X0F   //WHO_AM_I 		  r    0F  000 1111   00110011   Dummy register
#define Addr_Acceler_TEMP_CFG_REG 	 0X1F   //TEMP_CFG_REG 	  rw   1F  001 1111   
#define Addr_Acceler_CTRL_REG1 		 0X20   //CTRL_REG1 	  rw   20  010 0000   00000111
#define Addr_Acceler_CTRL_REG2 		 0X21   //CTRL_REG2 	  rw   21  010 0001   00000000
#define Addr_Acceler_CTRL_REG3 		 0X22   //CTRL_REG3 	  rw   22  010 0010   00000000
#define Addr_Acceler_CTRL_REG4 		 0X23   //CTRL_REG4 	  rw   23  010 0011   00000000
#define Addr_Acceler_CTRL_REG5 		 0X24   //CTRL_REG5 	  rw   24  010 0100   00000000
#define Addr_Acceler_CTRL_REG6 		 0X25   //CTRL_REG6 	  rw   25  010 0101   00000000
#define Addr_Acceler_REFERENCE 		 0X26   //REFERENCE 	  rw   26  010 0110   00000000
#define Addr_Acceler_STATUS_REG2 	 0X27   //STATUS_REG2 	  r    27  010 0111   00000000
#define Addr_Acceler_OUT_X_L 		 0X28   //OUT_X_L 		  r    28  010 1000   output
#define Addr_Acceler_OUT_X_H 		 0X29   //OUT_X_H 		  r    29  010 1001   output
#define Addr_Acceler_OUT_Y_L 		 0X2A   //OUT_Y_L 		  r    2A  010 1010   output
#define Addr_Acceler_OUT_Y_H 		 0X2B   //OUT_Y_H 		  r    2B  010 1011   output
#define Addr_Acceler_OUT_Z_L 		 0X2C   //OUT_Z_L 		  r    2C  010 1100   output
#define Addr_Acceler_OUT_Z_H 		 0X2D   //OUT_Z_H 		  r    2D  010 1101   output
#define Addr_Acceler_FIFO_CTRL_REG 	 0X2E   //FIFO_CTRL_REG   rw   2E  010 1110   00000000
#define Addr_Acceler_FIFO_SRC_REG 	 0X2F   //FIFO_SRC_REG 	  r    2F  010 1111   
#define Addr_Acceler_INT1_CFG 		 0X30   //INT1_CFG 		  rw   30  011 0000   00000000



/*
LTC2489
16-Bit 2-/4-Channel  ADC
with Easy Drive Input Current
Cancellation and I2C Interface
*/
									 //   CHANNEL SELECTION                         
									 //       MUX ADDRESS       CHANNEL SELECTION   
									 //         ODD/                                
									 //   SGL  SIGN A2 A1 A0    0   1   2   3   COM 
#define LTC2489_CH0p_CH1n     0XA0   //  *0     0   0  0  0    IN+ INC             
#define LTC2489_CH2p_CH3n     0XA1   //   0     0   0  0  1            IN+ INC     
#define LTC2489_CH0n_CH1p     0XA8   //   0     1   0  0  0    INC IN+             
#define LTC2489_CH2n_CH3p     0XA9   //   0     1   0  0  1            INC IN+     
#define LTC2489_CH0p_CHCOMn   0XB0   //   1     0   0  0  0    IN+              INC
#define LTC2489_CH2p_CHCOMn   0XB1   //   1     0   0  0  1                IN+  INC
#define LTC2489_CH1p_CHCOMn   0XB8   //   1     1   0  0  0        IN+          INC
#define LTC2489_CH3p_CHCOMn   0XB9   //   1     1   0  0  1                IN+  INC



#define  CH_Thermi_LED     LTC2489_CH0p_CHCOMn
#define  CH_Thermi_DMD     LTC2489_CH1p_CHCOMn
#define  CH_Thermi_XBAR    LTC2489_CH2p_CHCOMn
#define  CH_Thermi_SPARE   LTC2489_CH3p_CHCOMn



#endif __I2C_ADDR_H__



