#include "itemdlg.h"
#include <QtWidgets/QFileDialog>
#include <QPixmap>

ItemDlg::ItemDlg(QWidget *parent)
	: QDialog(parent)
{
	ui.setupUi(this);

	connect(ui.okBtn, SIGNAL(clicked()), this, SLOT(accept()));
	connect(ui.cancelBtn, SIGNAL(clicked()), this, SLOT(reject()));
	connect(ui.openMaskBtn_2, SIGNAL(clicked()), this, SLOT(slotOpenMaskBtnClicked()));

	ui.maskLabel->setPixmap(QPixmap(":/Wobulation/allblack.bmp").scaled(256, 192));
}

ItemDlg::~ItemDlg()
{

}

int ItemDlg::getActionType()
{
	return ui.tabWidget->currentIndex();
}

double ItemDlg::getExposureTime()
{
	return (ui.exposureTime_2->text()).toDouble();
}

QString ItemDlg::getMaskFile()
{
	return ui.maskName_2->text();
}

void ItemDlg::getMove(bool *bOrigin, double *x, double *y)
{
	*bOrigin = ui.moveOrigin->isChecked();
	if(!(*bOrigin))
	{
		*x = (ui.moveX->text()).toDouble();
		*y = (ui.moveY->text()).toDouble();
	}
}

void ItemDlg::setExposureTime(double time)
{
	ui.exposureTime_2->setText(QString("%1").arg(time));
}

void ItemDlg::setMaskFile(const QString file)
{
	ui.maskName_2->setText(file);
	ui.maskLabel->setPixmap(QPixmap(file).scaled(256, 192));
}

void ItemDlg::setMove(bool bOrigin, double x, double y)
{
	if(bOrigin)
	{
		ui.moveOrigin->setChecked(true);
		ui.moveX->setText("0");
		ui.moveY->setText("0");
	}
	else
	{
		ui.moveXY->setChecked(true);
		ui.moveX->setText(QString("%1").arg(x));
		ui.moveY->setText(QString("%1").arg(y));
	}
}

void ItemDlg::slotOpenMaskBtnClicked()
{
	QString fileName = QFileDialog::getOpenFileName(this, tr("Open File"), "", tr("Images (*.bmp)"));

	if(fileName.isEmpty() == false)
	{
		setMaskFile(fileName);
	}
}

void ItemDlg::disableTab(int index)
{
	ui.tabWidget->removeTab(index);
}

